package com.yidian.shenghuoquan.border.ui

import androidx.lifecycle.MutableLiveData
import com.yidian.bcommon.mvvm.BaseViewModel

class ConfirmOrderViewModel : BaseViewModel() {

  //  var selectedPickUpPoint = MutableLiveData<String>()
  var receivingName = MutableLiveData<String>()
  var receivingPhone = MutableLiveData<String>()

  //  var goodsList = MutableLiveData<String>()
  var couponsAvailableNum = MutableLiveData<Int>()
  var discountAmount = MutableLiveData<Double>()
  var totalAmount = MutableLiveData<Double>()
  var remark = MutableLiveData<String>()

  /**
   * 请求订单信息
   */
  fun requestOrderInfo() {

  }

  /**
   * 选择自提点
   */
  fun choosePickUpPoint() {

  }

  /**
   * 选择代金券
   */
  fun chooseVoucher() {

  }

  /**
   * 创建订单
   */
  fun createOrder() {

  }

  /**
   * 立即支付
   */
  fun payNow() {

  }

}
